# Twig Extensions

This module adds the `twig/extensions` package to Drupal, providing common additional features for Twig that do not directly belong in core.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/twig_extensions).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/twig_extensions).

## Filters
| Name                | Description                                                        |
|---------------------|--------------------------------------------------------------------|
| `shuffle`           | Shuffles an array.                                                 |
| `time_diff`         | Converts dates to a time ago string like Facebook and Twitter has. |
| `localizeddate`     | Formats dates using `\IntlDateFormatter`.                          |
| `localizednumber`   | Formats numbers using `\IntlDateFormatter`.                        |
| `localizedcurrency` | Formats currencies using `\IntlDateFormatter`.                     |
| `truncate`          | Truncates text to a certain length, optionally preserving words.   |
| `wordwrap`          | Wraps a string into new lines when it reaches a specific length.   |

## Requirements
This module requires no modules outside of Drupal core.

## Installation
Install as you would normally install a contributed Drupal module. For further information, see [Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

## Configuration
1. Enable the module at Administration > Extend.
2. Profit.
