<?php

namespace Drupal\twig_extensions\Twig;

use Twig\Extension\AbstractExtension;
use Twig\TwigFilter;

/**
 * Provides array manipulation filters.
 *
 * This class is copied and adapted from the twig/extensions package.
 */
class ArrayExtension extends AbstractExtension {

  /**
   * {@inheritdoc}
   */
  public function getFilters(): array {
    return [
      new TwigFilter('shuffle', [$this, 'shuffle']),
    ];
  }

  /**
   * Shuffles an array.
   */
  public function shuffle($array) {
    if ($array instanceof \Traversable) {
      $array = iterator_to_array($array, FALSE);
    }

    shuffle($array);

    return $array;
  }

}
